#!/usr/bin/env python
# -*- coding: utf-8 -*-
#Page html pour les dépouillements d'actes généalogiques
import sys, os, glob #laisser os ici, sinon, les .open ne fonctionnent pas...
from string import *
from os.path import *
from distutils.file_util import *
from time import strftime
from bonaccent import *

#### Traitement des globals
import __builtin__
def setGlobal(**d):
    "Ajout au dictionnaire de globals"
    __builtin__.__dict__.update(d)
    ### syntaxe d'ajout : SetGlobal(xx=99)

def detail(ligne):
    "calcul des champs d'un acte"
    ligne = bonacc(ligne) + ";"
    res = []
    dep = 0
    champ = ""
    for i in range(len(ligne)):
        if ligne[i] == ";":
           res.append(champ)
           dep = i + 1
           champ = ""
        elif ligne[i] != '"':
            champ += ligne[i]
    return(res)

##########################################################
######### Traitement principal
def main():
    "Traitement de tête"
    param1 = ""
    timedebut = strftime("%d/%m/%Y %H:%M")
    setGlobal(saccVersion = "html images actes version 1.0a")
    try:
        param1 = sys.argv[1]
    except:
        param1 = ""
        print saccVersion + " - " + timedebut + "\n"
    else:
        if param1 == "--help":
            print saccVersion + " - " + timedebut + "\n"
            mess = "Ce programme crée une page html pour les images jpg du répertoire courant"
            print mess
            return ()
    lstfic = glob.glob("*.jpg")
    lstfic.sort()
    fich = open("images.html","w")
    ligne =     '<html><meta http-equiv="Content-Type" ' \
        + ' content="text/html; charset=ISO-8859-1">'
    ligne += "<head><title>St Martin La Fosse</title></head><body>"
    ligne += '<a name="Haut"></a>'
    ligne += "<h3>Archives paroissiales de<br>St Martin La Fosse, de 1841 à 1903</h3>"
    xan = ""
    for i in range(len(lstfic)):
        if len(lstfic[i]) == 9:
            an = lstfic[i][:4]
            no = lstfic[i][4:5]
            if an != xan:
                ligne += "\n<br>" + an + " "
                xan = an
            ligne += '<a href="' + lstfic[i] + '">' + no + "</a> "
    ligne += '</body></html>'
    fich.write(ligne)
    fich.close

rr = main()
